For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
            • GETList B2B Users
            • POSTCreate Company User
            • POSTBulk Create Users
            • GETGet User Details
            • PUTUpdate User Details
            • DELDelete User
            • GETGet User Details by BigCommerce Customer ID
            • GETList Extra Fields for Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementUsers

List B2B Users

GET
https://api-b2b.bigcommerce.com/api/v3/io/users
GET
/api/v3/io/users
$curl https://api-b2b.bigcommerce.com/api/v3/io/users \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 1,
6 "companyId": 42,
7 "createdAt": 1,
8 "updatedAt": 1,
9 "customerId": 12345,
10 "companyRoleName": "Approver",
11 "channelList": [
12 {
13 "channelId": 1,
14 "channelName": "Default Storefront",
15 "iconUrl": "https://s3.amazonaws.com/bc-channel-platform/channel-icons/bigcommerce.svg"
16 }
17 ],
18 "firstName": "Marie",
19 "lastName": "Curie",
20 "email": "john.doe@example.com",
21 "phoneNumber": "+1-555-123-4567",
22 "role": 1,
23 "companyRoleId": 10,
24 "uuid": "user-uuid-1",
25 "extraFields": [
26 {
27 "fieldName": "customField1",
28 "fieldValue": "value1"
29 }
30 ]
31 }
32 ],
33 "meta": {
34 "message": "Success",
35 "pagination": {
36 "totalCount": 100,
37 "limit": 10,
38 "offset": 0
39 }
40 }
41}
Returns a paginated list of B2B users with optional filters.
Was this page helpful?
Previous

Users

Next

Create Company User

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

offsetintegerOptional>=0Defaults to 0
The number of items to skip before starting to collect the result set.
limitintegerOptional1-250Defaults to 10
The maximum number of results to return.
companyIdintegerOptional

If included, filters users in the response based on their Company ID as reported by the Server to Server Companies endpoints.

roleslist of enumsOptional
Filters users according to their assigned role ID. This filter is limited to admin (`0`), senior buyer (`1`), and junior buyer (`2`). By default, custom roles are treated as junior buyer, but they can be differentiated in the response data by the `companyRoleId` and `companyRoleName` fields. For more information, see [Company Roles and Permissions](/developer/api-reference/rest/b2b/management/company/company-roles-and-permissions).
Allowed values:
minModifiedstringOptional
Filters results by the `updatedAt` field, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) later than `minModified`.
maxModifiedstringOptional
Filters results by the `updatedAt` field, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) earlier than `maxModified`.
minCreatedstringOptional
Filters results by the `createdAt` field, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) later than `minCreated`.
maxCreatedstringOptional
Filters results by the `createdAt` field, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) earlier than `maxCreated`.
emailstringOptionalformat: "email"
Filters users by email address. This field requires an exact match.
channelIdintegerOptional
Filters users by their assigned BigCommerce channel ID.
isIncludeExtraFieldsenumOptional

Indicates whether to include extra fields in the response. A value of 1 indicates they will be included, while a value of 0 indicates they will not.

Allowed values:
qstringOptional
Broader search term for filtering on supported fields. Currently this includes Company, email, and name fields.

Response

SUCCESS
codeintegerDefaults to 200
Operation status code.
datalist of objects
metaobject

Errors

422
Unprocessable Entity Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Filters users according to their assigned role ID. This filter is limited to admin (0), senior buyer (1), and junior buyer (2).

By default, custom roles are treated as junior buyer, but they can be differentiated in the response data by the companyRoleId and companyRoleName fields. For more information, see Company Roles and Permissions.

Filters results by the updatedAt field, returning only those with a Unix timestamp later than minModified.

Filters results by the updatedAt field, returning only those with a Unix timestamp earlier than maxModified.

Filters results by the createdAt field, returning only those with a Unix timestamp later than minCreated.

Filters results by the createdAt field, returning only those with a Unix timestamp earlier than maxCreated.